IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.ROUTINES WHERE ROUTINE_NAME = 'Data.Report.Reporting_Activity')
	DROP PROCEDURE [dbo].[Data.Report.Reporting_Activity]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.ROUTINES WHERE ROUTINE_NAME = 'Data.Report.Reporting_Employer')
	DROP PROCEDURE [dbo].[Data.Report.Reporting_Employer]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.ROUTINES WHERE ROUTINE_NAME = 'Data.Report.Reporting_Employer_Grouped')
	DROP PROCEDURE [dbo].[Data.Report.Reporting_Employer_Grouped]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.ROUTINES WHERE ROUTINE_NAME = 'Data.Report.Reporting_JobOrder')
	DROP PROCEDURE [dbo].[Data.Report.Reporting_JobOrder]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.ROUTINES WHERE ROUTINE_NAME = 'Data.Report.Reporting_JobOrder_Grouped')
	DROP PROCEDURE [dbo].[Data.Report.Reporting_JobOrder_Grouped]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.ROUTINES WHERE ROUTINE_NAME = 'Data.Report.Reporting_JobSeeker')
	DROP PROCEDURE [dbo].[Data.Report.Reporting_JobSeeker]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.ROUTINES WHERE ROUTINE_NAME = 'Data.Report.Reporting_JobSeeker_Grouped')
	DROP PROCEDURE [dbo].[Data.Report.Reporting_JobSeeker_Grouped]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Report.JobSeekerReportView')
	DROP VIEW [dbo].[Data.Report.JobSeekerReportView]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Report.LookUpItem')
	DROP VIEW [dbo].[Data.Report.LookUpItem]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Report.EmployerActivity')
	DROP TABLE [dbo].[Data.Report.EmployerActivity]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Report.EmployerCount')
	DROP TABLE [dbo].[Data.Report.EmployerCount]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Report.Employer')
	DROP TABLE [dbo].[Data.Report.Employer]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Report.JobSeekerActivity')
	DROP TABLE [dbo].[Data.Report.JobSeekerActivity]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Report.JobSeekerApplication')
	DROP TABLE [dbo].[Data.Report.JobSeekerApplication]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Report.JobSeekerCertificationLicense')
	DROP TABLE [dbo].[Data.Report.JobSeekerCertificationLicense]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Report.JobSeekerCount')
	DROP TABLE [dbo].[Data.Report.JobSeekerCount]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Report.JobSeekerNote')
	DROP TABLE [dbo].[Data.Report.JobSeekerNote]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Report.JobSeekerServicesReceived')
	DROP TABLE [dbo].[Data.Report.JobSeekerServicesReceived]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Report.JobSeekerSkill')
	DROP TABLE [dbo].[Data.Report.JobSeekerSkill]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Report.JobSeeker')
	DROP TABLE [dbo].[Data.Report.JobSeeker]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Report.JobOrder')
	DROP TABLE [dbo].[Data.Report.JobOrder]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Report.ReportDate')
	DROP TABLE [dbo].[Data.Report.ReportDate]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Report.SavedReport')
	DROP TABLE [dbo].[Data.Report.SavedReport]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Report.SystemUsage')
	DROP TABLE [dbo].[Data.Report.SystemUsage]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Report.Activity')
	DROP TABLE [dbo].[Data.Report.Activity]
GO

IF EXISTS(SELECT 1 FROM INFORMATION_SCHEMA.TABLES WHERE TABLE_NAME = 'Data.Report.ZipCodes')
	DROP TABLE [dbo].[Data.Report.ZipCodes]
GO
